'use strict';

var vue = require('vue');
var CNavLink = require('./CNavLink.js');

const CNavItem = vue.defineComponent({
    name: 'CNavItem',
    props: {
        ...CNavLink.CNavLink.props,
    },
    setup(props, { slots }) {
        return () => vue.h('li', {
            class: 'nav-item',
        }, props.href
            ? vue.h(CNavLink.CNavLink, {
                active: props.active,
                component: props.component,
                disabled: props.disabled,
                href: props.href,
            }, {
                default: () => slots.default && slots.default(),
            })
            : slots.default && slots.default());
    },
});

exports.CNavItem = CNavItem;
//# sourceMappingURL=CNavItem.js.map
